unit USPDbUtils;

interface

uses SysUtils, Classes, windows, ScktComp, Forms, Dialogs,
     ComCtrls, DBTables, USPUtils;

function PackQuery(Q:TQuery):string;
function PackQuery2(Q:TQuery):string;

implementation

function PackQuery2(Q:TQuery):string;
var i:integer; s:string;
begin
  Result:='';
  if Q.Active then begin
    Result:='Res[OK] Model[large]'+#13#10+'Part[query] Type[array] Count['+IntToStr(Q.RecordCount)+']'+#13#10;
    repeat
      s:='';
      for i:=0 to Q.Fields.Count-1 do s:=s+Q.Fields[i].FieldName+'['+FieldEncode(Q.Fields[i].AsString)+'] ';
      Result:=Result+s+#13#10;
      Q.Next;
    until Q.Eof;
    Result:=Result+'Endpart[query]';
  end else Result:='Res[Error_Packing_Query]';
end;

function PackQuery(Q:TQuery):string;
var i:integer; s:string;
begin
  Result:='';
  if Q.Active then begin
    Result:='Res[OK] Model[large]'+#13#10+'Part[query] Type[table] Count['+IntToStr(Q.RecordCount+1)+']'+#13#10;
    s:='[';
    for i:=0 to Q.Fields.Count-1 do s:=s+Q.Fields[i].FieldName+',';
    if length(s)>7 then setlength(s,length(s)-1);
    Result:=Result+s+']'+#13#10;
    repeat
      s:='[';
      for i:=0 to Q.Fields.Count-1 do s:=s+FieldEncode(Q.Fields[i].AsString)+',';
      if length(s)>4 then setlength(s,length(s)-1);
      Result:=Result+s+']'+#13#10;
      Q.Next;
    until Q.Eof;
    Result:=Result+'Endpart[query]';
  end else Result:='Res[Error_Packing_Query]';
end;

end.