unit UnitDBTEST;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, USPFunction, USPUtils, USPDbUtils;

type
  TDBTEST = class(TDataModule)
    query: TUSPFunction;
    DB: TDatabase;
    setalias: TUSPFunction;
    procedure queryCall(User: TUSPUser; Par: TStrings; var Result: TStrings);
    procedure setaliasCall(User: TUSPUser; Par: TStrings;
      var Result: TStrings);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DBTEST: TDBTEST;

implementation

{$R *.DFM}

procedure TDBTEST.queryCall(User: TUSPUser; Par: TStrings;
  var Result: TStrings);
var Q: TQuery;
begin
  Q:=TQuery.Create(DBTEST);
  Q.DatabaseName:='srvdbtest';
  Q.SQL.Text:=Par[0];
  Q.Open;
  Result.Text:=USPDbUtils.PackQuery(Q);
  Q.Free;
end;

procedure TDBTEST.setaliasCall(User: TUSPUser; Par: TStrings;
  var Result: TStrings);
begin
  if DB.Connected then DB.Close;
  DB.AliasName:=Par[0];
  DB.Open;
end;

end.
